Skip to main content

Update Contact

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.update_contact

Update contact information

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-update-contact-example",
"method": "tools/call",
"params": {
"name": "ghl.update_contact",
"arguments": {
"contactId": "contactId_123",
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example",
"firstName": "firstName_example",
"lastName": "lastName_example",
"email": "email_example",
"phone": "phone_example",
"tags": [],
"dryRun": false
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"confirmApply": {
"type": "string"
},
"contactId": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"email": {
"type": "string"
},
"phone": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"dryRun": {
"type": "boolean"
}
},
"required": [
"contactId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-update-contact-example",
"method": "tools/call",
"params": {
"name": "ghl.update_contact",
"arguments": {
"contactId": "contactId_123",
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example",
"firstName": "firstName_example",
"lastName": "lastName_example",
"email": "email_example",
"phone": "phone_example",
"tags": [],
"dryRun": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.update_contact executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}